Configure Worker Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/workers/{syncId}"
payload = {
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
interval: '<string>',
configurations: [{identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/workers/{syncId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'interval' => '<string>',
'configurations' => [
[
'identifier' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/workers/{syncId}"
payload := strings.NewReader("{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/workers/{syncId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/workers/{syncId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncName": "<string>",
"reportProgress": true,
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"displayDescription": "<string>",
"type": "<string>",
"isRequired": true,
"currentValue": "<string>"
}
],
"salesChannelName": "<string>",
"salesChannelId": "<string>",
"interval": "<string>"
}Worker
Configure Worker Sync
deprecated
Configures a worker sync (interval and configuration values). Deprecated: use “PUT /v2/worker/syncs//interval” (“ReplaceWorkerSyncInterval”) for the interval and “PUT /v2/worker/syncs//options/” (“ReplaceWorkerSyncOption”) for one option instead.
POST
/
v2
/
workers
/
{syncId}
Configure Worker Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/workers/{syncId}"
payload = {
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
interval: '<string>',
configurations: [{identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/workers/{syncId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'interval' => '<string>',
'configurations' => [
[
'identifier' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/workers/{syncId}"
payload := strings.NewReader("{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/workers/{syncId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/workers/{syncId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"interval\": \"<string>\",\n \"configurations\": [\n {\n \"identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncName": "<string>",
"reportProgress": true,
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"displayDescription": "<string>",
"type": "<string>",
"isRequired": true,
"currentValue": "<string>"
}
],
"salesChannelName": "<string>",
"salesChannelId": "<string>",
"interval": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
Request parameters
Configures a worker sync (interval and configuration values). Deprecated: use "PUT /v2/worker/syncs/{syncId}/interval" ("ReplaceWorkerSyncInterval") for the interval and "PUT /v2/worker/syncs/{syncId}/options/{optionKey}" ("ReplaceWorkerSyncOption") for one option instead. - Request
Response
The changed worker configuration.
A worker sync and its configuration.
Was this page helpful?